Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.util
Class CssStyleEx

    java.lang.Object
      nextapp.echo2.webrender.output.CssStyle
          echopointng.ui.util.CssStyleEx

Direct Known Subclasses:
  CssRolloverStyleEx

    public class CssStyleEx

extends CssStyle

`CssStyleEx` adds extra setter functions to the CssStyle class. It supports pseudo attributes as well.

Constructor Summary
`CssStyleEx()` Constructs a `CssStyleEx`
`CssStyleEx(Component component)` Constructs a `CssStyleEx` and sets the "discoverable" style attributes from component by calling `Render.asComponent(this,component);`
`CssStyleEx(Component component, Style defaultStyle)` Constructs a `CssStyleEx` and sets the "discoverable" style attributes from component by calling `Render.asComponent(this,component);`

Method Summary
`void` | `setBackground(Color background)` Renders the background color as a CSS "background-color" value
`void` | `setBorder(Border border)` Sets the border for this style
`void` | `setFont(Font font)` Renders the font color as a seris of CSS values
`void` | `setForeground(Color foreground)` Renders the foregound color as a CSS "color" value
`void` | `setNoWrap()` Sets "white-space" to "nowrap"
`java.lang.String` | `toString()` Renders a debug representation of the object.

Methods inherited from class nextapp.echo2.webrender.output.CssStyle
`getAttribute, hasAttributes, renderInline, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CssStyleEx

    public CssStyleEx()

  Constructs a `CssStyleEx`

### CssStyleEx

    public CssStyleEx(Component component)

  Constructs a `CssStyleEx` and sets the "discoverable" style attributes from component by calling `Render.asComponent(this,component);`

  Parameters:
    `component` - - the component o get style attributes from

### CssStyleEx

    public CssStyleEx(Component component,
                      Style defaultStyle)

  Constructs a `CssStyleEx` and sets the "discoverable" style attributes from component by calling `Render.asComponent(this,component);`

  Parameters:
    `component` - - the component o get style attributes from
    `defaultStyle` - - a style to use as a default source of property information if it cant be found in the component.

Method Detail

### setBackground

    public void setBackground(Color background)

  Renders the background color as a CSS "background-color" value

  Parameters:
    `foreground` - - the foregound `Color`

### setFont

    public void setFont(Font font)

  Renders the font color as a seris of CSS values

  Parameters:
    `font` - - the `Font`

### setForeground

    public void setForeground(Color foreground)

  Renders the foregound color as a CSS "color" value

  Parameters:
    `foreground` - - the foregound `Color`

### setNoWrap

    public void setNoWrap()

  Sets "white-space" to "nowrap"

### setBorder

    public void setBorder(Border border)

  Sets the border for this style

  Parameters:
    `border` - - the `Border` in question

### toString

    public java.lang.String toString()

  Description copied from class: `CssStyle`
  Renders a debug representation of the object.

  Overrides:
    `toString` in class `CssStyle`
  See Also:
    `CssStyle.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD